Cannot Run Debugger (Rake error)

When I run my debug i get this:

```

/Users/gregkusumo/.rbenv/shims/bundle exec ruby -e at_exit{sleep(1)};$stdout.sync=true;$stderr.sync=true;load($0=ARGV.shift) -Itest /usr/local/opt/rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/ruby-debug-ide-0.6.1.beta10/bin/rdebug-ide --disable-int-handler --evaluation-timeout 10 --evaluation-control --time-limit 100 --memory-limit 0 --rubymine-protocol-extensions --port 49605 --host 0.0.0.0 --dispatcher-port 49606 -- /Users/gregkusumo/Foodee/MasterFox/test/services/invoices/process_test.rb "--name=/test_\d+_should create a correct line item/"
/usr/local/opt/rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/bundler-1.16.0/lib/bundler/spec_set.rb:88:in `block in materialize': Could not find rake-12.0.0 in any of the sources (Bundler::GemNotFound)
from /usr/local/opt/rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/bundler-1.16.0/lib/bundler/spec_set.rb:82:in `map!'
from /usr/local/opt/rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/bundler-1.16.0/lib/bundler/spec_set.rb:82:in `materialize'
from /usr/local/opt/rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/bundler-1.16.0/lib/bundler/definition.rb:170:in `specs'
from /usr/local/opt/rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/bundler-1.16.0/lib/bundler/definition.rb:237:in `specs_for'
from /usr/local/opt/rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/bundler-1.16.0/lib/bundler/definition.rb:226:in `requested_specs'
from /usr/local/opt/rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/bundler-1.16.0/lib/bundler/runtime.rb:108:in `block in definition_method'
from /usr/local/opt/rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/bundler-1.16.0/lib/bundler/runtime.rb:20:in `setup'
from /usr/local/opt/rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/bundler-1.16.0/lib/bundler.rb:107:in `setup'
from /usr/local/opt/rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/bundler-1.16.0/lib/bundler/setup.rb:20:in `<top (required)>'
from /Users/gregkusumo/.rbenv/versions/2.3.1/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
from /Users/gregkusumo/.rbenv/versions/2.3.1/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'

```

Gemfile

ruby '2.3.1'
source 'https://rubygems.org'

# Core
gem 'rails', '~> 5.0.3'
gem 'pg', '~> 0.20.0'
gem 'rake', '~> 12.0'

gem 'dotenv-rails', '~> 2.2.1 ', groups: [:test, :development] # Load enviroment variables to mimic Heroku
# Authentication, authorization and organization
gem 'devise', '~> 4.3.0' # User Authentication/mailers
# gem 'devise-async', '~> 0.10.2' # Background email sending for Devise
gem 'devise_invitable', '~> 1.7.2' # Ability to invite users using Devise
gem 'authority', '~> 3.0.0' # Authorizes the actions users can perform
gem 'rolify', '~> 5.1.0' # Defines the roles users have for authorization

# Assets/views
gem 'uglifier', '~> 2.7.0'
gem 'sass-rails', '~> 5.0.0'
gem 'coffee-rails', '~> 4.2.2'
gem 'jquery-rails', '~> 4.3.1'
gem 'jquery-ui-rails', '~> 5.0.0'
gem 'simple_form', '~> 3.2.1'
gem 'slim-rails', '~> 3.1.0'
gem 'twitter-bootstrap-rails', :git => 'git://github.com/seyhunak/twitter-bootstrap-rails.git'
gem 'bootstrap3-datetimepicker-rails', '~> 4.7.0'
gem 'momentjs-rails', '>= 2.10.0'
gem 'moment_timezone-rails', '~> 0.5.0', git: 'https://github.com/viclim/moment_timezone-rails.git'
gem 'roadie-rails', '~>1.2.1 ' # Email style inlining
gem 'wicked_pdf', github: 'mileszs/wicked_pdf' # PDF generation
gem 'mustache', '~> 1.0.1'
gem 'simple_calendar', '~> 1.1.10' # View calendar helper
gem 'jbuilder', '~> 2.7.0' # Custom JSON views
gem 'active_model_serializers', '~> 0.9.0' # Better JSON output for Ember
gem 'cocoon', '~> 1.2.0' # Used tempoarily
gem 'lodash-rails', '~> 3.5.0'
gem 'font-awesome-sass', '~> 4.3.0'
gem 'jquery-turbolinks', '~> 2.1.0'
gem 'kaminari', '~> 1.0', '>= 1.0.1' # Pagination (scopes & views)
gem 'mini_magick', '~> 4.2.0' # Image manipulartion
gem 'fog', '~> 1.30.0', require: nil # Cloud services
gem 'fog-aws', '~> 0.2.0', require: 'fog/aws' # AWS API access
gem 'carrierwave', '~> 0.10.0' # File uploads
gem 'geoip', '~> 1.6.0' # Geo data lookups based on IPs
gem 'maxminddb'
gem 'gridhook', '~> 0.2.0'
gem 'sprockets', '~> 3.5.2'
gem 'sprockets-es6', '~> 0.6.0'
gem 'slack-notifier', '~> 1.5.1' # Slack integration
gem 'paranoia', '~> 2.0' # Soft delete
gem 'rest-client'
gem 'deterministic'
gem 'scenic', '1.4.0' # dem materialized views doggem


# These are here for the seeds file
gem 'faker', git: 'https://github.com/stympy/faker.git' # As of 1.6.6 some Faker stuff not available
gem 'stripe-ruby-mock', '~> 2.2.1', require: 'stripe_mock'

# Bower Packages
source 'https://rails-assets.org' do
gem 'rails-assets-moment', '~> 2.9.0'
gem 'rails-assets-select2', '4.0.0'
gem 'rails-assets-handlebars', '~> 3.0.0'
end

# Utilities
gem 'carmen-rails', '~> 1.0.0' # Country/province selection
gem 'data_migrate', '~> 3.1'
gem 'iso_country_codes', '~> 0.6.0' # Country, currency, etc. data
gem 'faraday', '~> 0.9.0' # Customizable HTTP client
gem 'faraday_middleware', '~> 0.9.0' # Faraday middlewares
gem 'typhoeus', '~> 1.0.2' # HTTP client with connection pooling and keep-alive (Faraday upgrade)
gem 'oj', '3.3.5' # Faster JSON encoding/decoding
gem 'oj_mimic_json', '~> 1.0.0' # Replace default JSON encoder/decoder
gem 'friendly_id', '~> 5.1.0' # Pretty URLs
gem 'paper_trail', '6.0.2' # Version tracking
gem 'sidekiq', '~> 5.0.2' # Background workers
gem 'sidekiq-cron', '~> 0.6.0' # Recurring background workers
gem 'sidekiq-unique-jobs', '~> 5.0.7' # Allows sidekiq jobs to be unique on certain params
gem 'state_machine', '~> 1.2.0' # State tracking and callbacks
gem 'searchkick', '~> 1.3.0' # Elasticsearch integration
gem 'icalendar', '~> 2.4.1' # iCalendar creation for team invites
gem 'twilio-ruby', '~> 3.14.0' # SMS/VoIP integration
gem 'invoicing', '~> 1.0.0' # Accounting framework
gem 'money-rails', '1.9.0' # Formatting of money based of locale/currency
gem 'money', '~> 6.9.0' # Formatting of money based of locale/currency
gem 'groupdate', '~> 3.2.0' # SQL scopes that 'GROUP BY' dates/times, etc on a given column

# Dat geography
gem 'activerecord-postgis-adapter'
gem 'rgeo'
gem 'rgeo-activerecord'
gem 'rgeo-geojson'
gem 'geocoder', '1.4.4' # geocoding (street or IP address), reverse geocoding, distance queries

gem 'sinatra', '~> 2.0.0', require: nil # User for the Sidekiq web UI
gem 'rack-cors', '0.4.1' # CORS support for APIs
gem 'pry-rails', '~> 0.3.6' # Pry instead of the default Rails console.
gem 'stripe', '~> 1.31.0' # Stripe Integration
gem 'sitemap_generator', '~> 5.1.0' # Tool for generating sitemaps

# Redis configured to use the hiredis gem
gem 'hiredis', '~> 0.6.0'
gem 'redis', '>= 3.2.0', :require => ['redis', 'redis/connection/hiredis']
gem 'redis-rails', '~> 5.0.2' # Rails Redis adapters, caching, sessions, etc.
gem 'redis-namespace', '~> 1.5.0' # namespacing for Redis


gem 'kramdown', '~> 1.9.0' #Ruby Markdown converter
gem 'enumerize', '2.1.2' # Enumerated attributes with I18n and ActiveRecord/Mongoid/MongoMapper/Sequel support
gem 'activerecord-import', '~> 0.16.0' # activerecord-import is a library for bulk inserting data using ActiveRecord
gem 'desk_api', '~> 0.6.0' #desk api wrapper
gem 'progressbar', '~> 1.8', '>= 1.8.2'

gem "prawn-labels", '~> 1.2.6'
gem 'librato-rails', '~> 1.4.2' # monitoring
gem 'scout_apm', '~> 2.1.24'
gem 'newrelic_rpm', '~> 4.2', '>= 4.2.0.334'# NewRelic Application level monitoring

gem 'trailblazer', '~> 1.1.1'
gem 'trailblazer-rails', '~> 0.2.4'
gem 'reform-rails'

gem 'flipper', '~> 0.10.2'
gem 'flipper-ui', '~> 0.10.2'
gem 'flipper-active_record', '~> 0.10.2'

gem 'jsonapi-resources', '~> 0.9.0'
gem 'pundit', '~> 1.1.0'

gem 'net-ssh', '3.2.0'
gem 'wisper', '2.0.0'
gem 'wisper-sidekiq', '0.0.1'
gem 'pusher', '1.1.0'
gem 'annotate', '~> 2.7', '>= 2.7.1'
gem 'timezone', '~> 1.0'

gem 'google_maps_service', '0.4.2'

gem 'rails-reverse-proxy', '0.9.1'
gem 'rack-reverse-proxy', '0.12.0', require: 'rack/reverse_proxy' # Allow proxying to other apps

# speed up the bootstrap
gem 'bootsnap', '1.1.2', require: false

# Production
group :production, :staging, :sprint, :live do
# gem 'rack-timeout', '~> 0.2.0' # Heroku compatibility, timesout long-running requests - REMOVED: Stability issues
gem 'rails_12factor', '~> 0.0.0' # Heroku compatibility, see 12factor.net
gem 'prerender_rails', '~> 1.1.0'
gem 'wkhtmltopdf-binary', '~> 0.12.3.1' # PDF CLI generation utility
end

gem 'puma', '~> 3.9.1' # Threaded HTTP server, better performance on Heroku
gem 'connection_pool', '~> 2.2.0'

# Heroku compatibility exclusions
group :test, :darwin do
gem 'rb-fsevent', '~> 0.9.0', require: false # Guard uses this for file-system monitoring
gem 'terminal-notifier-guard', '~> 1.6.0', require: false # OSX notifications from Guard
end

# Utilities and helpers
group :development do
gem 'brakeman', '~> 3.3' # Security check
gem 'derailed_benchmarks'
gem 'pry-remote', '~> 0.1.8'
gem 'better_errors', '~> 2.1.0' # Kill the stock Rails error page
gem 'binding_of_caller', '~> 0.7.0' # Live repl on the improoved error page
# gem 'meta_request', '~> 0.4.3' # Enables the use of the RailsPanel Chrome extension (sends additional info about requests)
gem 'did_you_mean', '1.0.0' # Suggests methods when the called method is missing
gem 'guard', '~> 2.13.0' # Watches for file changes in the project and performs actions based on those changes.
gem 'guard-rails', '~> 0.7.0' # Restarts the Rails server when config/non-dynamically loaded contant changes
gem 'guard-sidekiq', '~> 0.1.0' # Auto starts/restart Sidekiq
gem 'guard-livereload', '~> 2.4.0' # Auto-reloads the browser when assets are saved
gem 'pry-stack_explorer', '~> 0.4.9.2' # Get stack details in binding.pry
gem 'rack-livereload', '0.3.16' # The server portion of the auto-reload functionality. (web/flash sockets)
# gem 'quiet_assets', '~> 1.1.0' # Remove asset requests from the STDOUT of a Rails server
gem 'rails-erd', '~> 1.3.0', git: 'https://github.com/voormedia/rails-erd', ref: '180fdc2' # Generation of ERD diagrams
gem 'stackprof'
gem 'tzinfo-data'
gem 'yard', '~> 0.8.0' # Documentation for the codebase
end

group :development, :test do
gem 'spring', '~> 2.0.2' # Default Rails application pre-loader
gem 'guard-minitest', '~> 2.4.0', require: false
gem 'minitest-rails', '~> 3.0.0'
gem 'minitest-spec-rails'
gem 'awesome_print'
end

group :test do
gem 'minitest-around', '~> 0.4.0'
gem 'minitest-filesystem', '~> 1.2'
gem 'codeclimate-test-reporter', '~> 0.4.0', require: false
gem 'database_cleaner', '~> 1.6', '>= 1.6.1'
gem 'launchy', '~> 2.4.0'
gem 'minitest-reporters', '~> 1.1.13'
gem 'mocha', '~> 1.1.0'
gem 'shoulda-matchers', '~> 3.1.2'
gem 'shoulda-context', '~> 1.2.0'
gem 'test_after_commit', '~> 0.4.0'
gem 'simplecov', '~> 0.11.0', require: false
gem 'factory_girl_rails', '4.8'
end
```
1 comment

Thanks for bug-report, looks like wrong version of 'rake' gem was locked in your Gemfile.lock. Could you please remove rake from Gemfile.lock (or all Gemfile.lock) and run 'Tools | Bundler| Install' again. If it's doesn't help please attach error message again and idea.log (Help| SHow Log in..) with Gemfile.lock.

0

Please sign in to leave a comment.